Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLReader

    java.lang.Object
      |
      +--org.xml.sax.HandlerBase
            |
            +--org.w3c.tools.resources.serialization.xml.XMLReader

public class XMLReader
extends org.xml.sax.HandlerBase
implements JigXML

Fields inherited from interface org.w3c.tools.resources.serialization.xml.JigXML
`ARRAY_TAG, ATTRIBUTE_TAG, CHILD_TAG, CHILDREN_TAG, CLASS_ATTR, DESCR_TAG, dtd, FLAG_ATTR, IMPLEMENTS_TAG, INHERIT_TAG, JXML_TAG, LENGTH_ATTR, NAME_ATTR, ns, NULL, RESARRAY_TAG, RESOURCE_TAG, VALUE_TAG, version`

Constructor Summary
`XMLReader(java.io.Reader reader, org.xml.sax.Parser parser)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`protected void` | `parse()`
`AttributeHolder[]` | `readAttributeHolders()`
`Resource[]` | `readResources()`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList attributes)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class org.xml.sax.HandlerBase
`ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLReader

    public XMLReader(java.io.Reader reader,
                     org.xml.sax.Parser parser)

Method Detail

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList attributes)
                      throws org.xml.sax.SAXException

  Overrides:
    startElement in class org.xml.sax.HandlerBase

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  Overrides:
    endElement in class org.xml.sax.HandlerBase

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Overrides:
    startDocument in class org.xml.sax.HandlerBase

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Overrides:
    endDocument in class org.xml.sax.HandlerBase

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Overrides:
    characters in class org.xml.sax.HandlerBase

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Overrides:
    warning in class org.xml.sax.HandlerBase

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Overrides:
    error in class org.xml.sax.HandlerBase

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Overrides:
    fatalError in class org.xml.sax.HandlerBase

### parse

    protected void parse()
                  throws org.xml.sax.SAXException,
                         java.io.IOException

### readResources

    public Resource[] readResources()
                             throws java.io.IOException,
                                    SerializationException

### readAttributeHolders

    public AttributeHolder[] readAttributeHolders()
                                           throws java.io.IOException,
                                                  SerializationException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD